View Issue Details

IDProjectCategoryView StatusLast Update
0001858Inno Script StudioGeneralpublic2018-02-24 14:55
ReportercacofonyAssigned Totimchilvers 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSWindowsOS Version8 64bit
Product Version2.1 
Target VersionFixed in Version2.2.1 
Summary0001858: 2.2.0.26 - PreCompile batch files
Description[PreCompile]
Name: "signing\Sign Client.bat"; Flags: abortonerror cmdprompt

Batch file will fail if full file names are not used in the batch file or relative folder is modified.

Should Working Folder for executed batch file be the folder of the file being launched.

Old working folder
C:\script\signing
New working folder
C:\script



Steps To Reproduceeg
"..\..\windows\client\bin\win32\release\MyFile.exe" no longer works.

Running in default Innosetup editor works ok; 2.1.020 works ok
Additional InformationChanging it to the following works; but should this be expected.
"..\windows\client\bin\win32\release\MyFile.exe"
TagsNo tags attached.

Relationships

related to 0001859 resolvedtimchilvers 2.2.1.31 - PreCompile batch files 

Activities

timchilvers

2015-03-07 17:40

administrator   ~0001128

Fixed issue with the Current Directory being incorrectly set for batch files when running a Pre / Post action

Issue History

Date Modified Username Field Change
2015-02-25 08:05 cacofony New Issue
2015-03-07 17:40 timchilvers Note Added: 0001128
2015-03-07 17:40 timchilvers Status new => resolved
2015-03-07 17:40 timchilvers Fixed in Version => 2.2.1
2015-03-07 17:40 timchilvers Resolution open => fixed
2015-03-07 17:40 timchilvers Assigned To => timchilvers
2015-03-09 16:05 timchilvers Relationship added related to 0001859
2018-02-24 14:55 timchilvers Status resolved => closed